CREATE TABLE msc_attr_num_assignments (
    ATTRIBUTE_NUMBER         NUMBER        ,
    DERIVE_VAL_ON_TRNS       NUMBER(1, 0)  ,
    ATTRIBUTE_TYPE           VARCHAR2(128) ,
    SUP_DEM_COL_MAPPED       VARCHAR2(256) ,
    ATTR_NUM_ASSIGNED        NUMBER(1, 0)  ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ATTRIBUTE_NUMBER         NUMBER        ,
    DERIVE_VAL_ON_TRNS       NUMBER(1, 0)  ,
    ATTRIBUTE_TYPE           VARCHAR2(128) ,
    SUP_DEM_COL_MAPPED       VARCHAR2(256) ,
    ATTR_NUM_ASSIGNED        NUMBER(1, 0)  ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CONSTRAINT pk_msc_attr_num_assignments PRIMARY KEY (ATTRIBUTE_NUMBER, ATTRIBUTE_NUMBER)
);
